package com.muyu.common.system.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.Firm;
import com.muyu.common.system.remote.factory.RemoteFirmFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @Author：张腾
 * @Package：com.muyu.common.system.remote
 * @Project：cloud-server-8
 * @name：RemoteFirmService
 * @Date：2024/9/25 22:21
 */
@FeignClient(contextId = "remoteFirmService", value = ServiceNameConstants.SYSTEM_SERVICE,fallbackFactory = RemoteFirmFallbackFactory.class)
public interface RemoteFirmService {

    @RequestMapping("/firm/findByFirmName/{firmName}")
    public Result<Firm> findByFirmName(@PathVariable("firmName") String firmName);
}
