package com.muyu.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 故障日志列表请求对象
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain.req
 * @Project：cloud-server-8
 * @name：FaultLogReq
 * @Date：2024/9/20 9:38
 */

@Tag(name = "故障日志列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FaultLogListReq {

    /**
     * 故障码Id
     */
    private long faultcodeId;
    /**
     * 车辆VIN
     */
    private String carVin;
    /**
     * 开始报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "开始报警时间",defaultValue = "2024-8-9 10:47:57",type = "Date")
    private Date startwarningTime;
    /**
     * 结束报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "结束报警时间",defaultValue = "2024-8-9 10:47:57",type = "Date")
    private Date endwarningTime;

    /**
     * 页码，从1开始
     */
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    private Integer pageSize=10;
}
