package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 公司信息请求对象
 * @Author：weiran
 * @Package：com.muyu.firmmanage.domain.req
 * @Project：cloud-server-8
 * @name：FirmListReq
 * @Date：2024/9/27 19:19
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "公司信息请求对象",description = "公司信息请求对象")
public class FirmListReq {

    /**
     * 公司名称
     */
    private String firmName;
    /**
     * 页码，从1开始
     */
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    private Integer pageSize=10;

}
