package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.domain.CarFenceGroup;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 电子围栏-围栏组列表响应对象
 * @Author：yang
 * @Package：com.muyu.domain.resq
 * @Project：cloud-server-8
 * @name：CarFenceGroupReq
 * @Date：2024/9/24 1:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "电子围栏-围栏组列表")
public class CarFenceGroupResp {
    /**
     * 围栏主键
     */
    private Integer id;
    /**
     * 围栏名称
     */
    private String name;
    /**
     * 业务类型ID
     */
    private Integer clazzId;
    /**
     * 业务类型名称
     */
    @TableField(exist = false)
    private String clazzName;
    /**
     * 围栏类型ID
     */
    private Integer typeId;
    /**
     * 围栏类型名称
     */
    @TableField(exist = false)
    private String typeName;
    /**
     * 围栏经纬度
     */
    private String fenceText;
    /**
     * 围栏开始时间
     */
    @DateTimeFormat(fallbackPatterns = "yyyy-MM-dd hh:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date fenceStart;
    /**
     * 围栏结束时间
     */
    @DateTimeFormat(fallbackPatterns = "yyyy-MM-dd hh:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date fenceEnd;
    /**
     * 创建时间
     */
    @DateTimeFormat(fallbackPatterns = "yyyy/MM/dd hh:mm:ss")
    @JsonFormat(pattern = "yyyy/MM/dd hh:mm:ss")
    private Date fenceCreate;
    /**
     * 中间表ID
     */
    private Integer middleId;
    /**
     * 围栏组
     */
    @TableField(exist = false)
    private List<CarFenceGroup> carFenceGroups;
    /**
     * 优先级
     */
    private Integer priority;
    /**
     * 启动状态
     */
    private String status;
    /**
     * 围栏组类型
     */
    private String groupType;
}
