package com.muyu.server.controller;


import com.muyu.common.core.domain.Result;
import com.muyu.domain.req.FaultLogListReq;
import com.muyu.server.service.FaultLogService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 故障日志控制层
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.controller
 * @Project：cloud-server-8
 * @name：FaultLogController
 * @Date：2024/9/20 9:30
 */

@RestController
@RequestMapping("/faultlog")
public class FaultLogController {
    @Autowired
    private FaultLogService faultLogService;


    /**
     * 故障日志列表
     * @param faultLogListReq
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "故障日志列表",description = "故障日志列表展示")
    public Result selectfaultlog(@Validated @RequestBody FaultLogListReq faultLogListReq){
        return Result.success(faultLogService.selectfaultlog(faultLogListReq));
    }
}
