package com.muyu.server.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.domain.Firm;
import com.muyu.domain.SysUser;
import com.muyu.domain.req.FirmListReq;
import com.muyu.domain.resp.FirmListResp;
import com.muyu.domain.resp.FirmTotalListResp;
import com.muyu.server.mapper.FirmManageMapper;
import com.muyu.server.service.FirmManageService;
import com.muyu.server.service.FirmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 公司+员工业务实现层
 * @Author：weiran
 * @Package：com.muyu.firmmanage.service.impl
 * @Project：cloud-server-8
 * @name：FirmManageServiceImpl
 * @Date：2024/9/27 12:28
 */
@Service
public class FirmManageServiceImpl extends ServiceImpl<FirmManageMapper, SysUser> implements FirmManageService {
    @Autowired
    private FirmManageMapper firmManageMapper;
    @Autowired
    private FirmService firmService;
    /**
     * 公司列表信息展示
     * @param firmListReq
     * @return
     */
    @Override
    public FirmTotalListResp firmmessageList(FirmListReq firmListReq) {
        long findcount = firmService.findcount();
        MPJLambdaWrapper<SysUser> wrapper = new MPJLambdaWrapper<>();
        wrapper.selectAll(SysUser.class)
                .selectAll(Firm.class)
                .leftJoin(Firm.class,Firm::getFirmId,SysUser::getFirmId)
                .eq(StringUtils.isNotEmpty(firmListReq.getFirmName()),
                        Firm::getFirmName, firmListReq.getFirmName());
        wrapper.last("LIMIT "+((firmListReq.getPageNum()-1)*firmListReq.getPageSize())+","+firmListReq.getPageSize());
        List<FirmListResp> firmListResps = firmManageMapper.selectJoinList(FirmListResp.class, wrapper);
        return FirmTotalListResp.firmTotalListResp(firmListResps,findcount);

    }
}
